Bug 974210 - UI allows to select and register events, and then displays error that they are unsupported
UI allows to select and register events, and then displays error that they ar...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-notificiations (Show other bugs)
3.2
Unspecified Unspecified
high Severity unspecified
: ---
: 3.3
Assigned To: Sahina Bose
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 12:52 EDT by Alissa
Modified: 2013-09-23 03:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:33:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message (193.20 KB, image/png)
2013-06-13 12:52 EDT, Alissa
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15712 None None None Never
oVirt gerrit 16900 None None None Never

  None (edit)
Description Alissa 2013-06-13 12:52:12 EDT
Created attachment 760826 [details]
error message

Description of problem:
"Manage events" UI allows user to select multiple events, and then displays error that for some of them registration is unsupported.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Users tab in webadmin
2.Stand on user
3.Event notifier sub tab
4.Click on "manage events"
5.Select all events
6.Click OK
7.Error is displayed - please see attached

Actual results:


Expected results:
Either:
1. events that are unsupported should not be displayed in UI
2. make them supported for notification

Additional info:
Comment 1 Alissa 2013-06-16 03:39:22 EDT
This is the full list of events that produce an error:
Error while executing action:

Action 1:

    The notification event GLUSTER_SERVER_REMOVE is unsupported.

Action 2:

    The notification event VM_STATUS_RESTORED is unsupported.

Action 3:

    The notification event GLUSTER_VOLUME_OPTION_ADDED is unsupported.

Action 4:

    The notification event GLUSTER_VOLUME_OPTION_MODIFIED is unsupported.

Action 5:

    The notification event GLUSTER_VOLUME_PROFILE_START is unsupported.

Action 6:

    The notification event GLUSTER_VOLUME_PROFILE_START_FAILED is unsupported.

Action 7:

    The notification event GLUSTER_VOLUME_PROFILE_STOP is unsupported.

Action 8:

    The notification event GLUSTER_VOLUME_PROFILE_STOP_FAILED is unsupported.

Action 9:

    The notification event GLUSTER_HOOK_ENABLE is unsupported.

Action 10:

    The notification event GLUSTER_HOOK_ENABLE_FAILED is unsupported.

Action 11:

    The notification event GLUSTER_HOOK_DISABLE is unsupported.

Action 12:

    The notification event GLUSTER_HOOK_DISABLE_FAILED is unsupported.

Action 13:

    The notification event GLUSTER_HOOK_DETECTED_NEW is unsupported.

Action 14:

    The notification event GLUSTER_HOOK_CONFLICT_DETECTED is unsupported.

Action 15:

    The notification event GLUSTER_HOOK_DETECTED_DELETE is unsupported.

Action 16:

    The notification event GLUSTER_HOOK_ADDED is unsupported.

Action 17:

    The notification event GLUSTER_HOOK_ADD_FAILED is unsupported.

Action 18:

    The notification event GLUSTER_HOOK_REMOVED is unsupported.

Action 19:

    The notification event GLUSTER_HOOK_REMOVE_FAILED is unsupported.

Action 20:

    The notification event GLUSTER_SERVICE_STARTED is unsupported.

Action 21:

    The notification event GLUSTER_SERVICE_START_FAILED is unsupported.

Action 22:

    The notification event GLUSTER_SERVICE_STOPPED is unsupported.

Action 23:

    The notification event GLUSTER_SERVICE_STOP_FAILED is unsupported.

Action 24:

    The notification event GLUSTER_SERVICE_RESTARTED is unsupported.

Action 25:

    The notification event GLUSTER_SERVICE_RESTART_FAILED is unsupported.
Comment 2 Itamar Heim 2013-06-16 06:51:17 EDT
i think http://gerrit.ovirt.org/#/c/15712/ resolves some of the above
Comment 3 Itamar Heim 2013-08-21 12:40:39 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 4 Itamar Heim 2013-09-23 03:33:11 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.